# Uses of Class
org.eclipse.gef.graph.Node.Builder

## Uses of Node.Builder in org.eclipse.gef.graph

Fields in org.eclipse.gef.graph with type parameters of type Node.Builder
Modifier and Type
Field
Description
`protected Map<Object,Node.Builder>`
Graph.Builder.Context.`nodeBuilders`
`Node.Builder`s, which are part of the builder chain, mapped to their keys.
`protected Map<Object,Node.Builder>`
Graph.Builder.Context.`nodeKeyToBuilderMap`
Stores node builders
Methods in org.eclipse.gef.graph that return Node.Builder
Modifier and Type
Method
Description
`Node.Builder`
Node.Builder.`attr(String key, Object value)`
Puts the given key-value-pair into the `attributesProperty map` of the `Node` which is constructed by this `Node.Builder`.
`<T> Node.Builder`
Node.Builder.`attr(BiConsumer<Node,T> setter, T value)`
Uses the given setter to set the attribute value.
`Node.Builder`
Edge.Builder.`node()`
Constructs a new (anonymous) `Node.Builder` for a node.
`Node.Builder`
Edge.Builder.`node(Object key)`
Constructs a new (identifiable) `Node.Builder` for a node.
`Node.Builder`
Graph.Builder.`node()`
Constructs a new (anonymous) `Node.Builder`.
`Node.Builder`
Graph.Builder.`node(Object key)`
Constructs a new (identifiable) `Node.Builder`.
`Node.Builder`
Node.Builder.`node()`
Constructs a new (anonymous) `Node.Builder`.
`Node.Builder`
Node.Builder.`node(Object key)`
Constructs a new (identifiable) `Node.Builder`.